Skip to main content
GET
/
templates
/
plan
List plans
curl --request GET \
  --url https://api.zenskar.com/templates/plan \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "version": 123,
      "is_latest_version": true,
      "status": "<string>",
      "currency": "<string>",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "display_config": {
        "name": "<string>",
        "description": "<string>",
        "features": [
          "<string>"
        ],
        "custom_fields": {}
      },
      "parent_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "duration": "<string>",
      "business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"order=created_at"

id
string<uuid> | null
id__in
string | null
name
string | null
name__ilike
string | null
name__like
string | null
name__in
string | null
status
string | null
status__in
string | null
is_latest_version
boolean | null
business_entity_id
string<uuid> | null
business_entity_id__in
string | null
business_entity_id__isnull
boolean | null
parent_plan_id
string<uuid> | null
parent_plan_id__in
string | null
parent_plan_id__isnull
boolean | null

Response

Plans retrieved successfully with pagination cursors

results
PlanV3ListResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows